# +======================================================================+
# |    Copyright (c) 2005, 2014 Oracle and/or its affiliates.           |
# |                         All rights reserved.                         |
# |                           Version 12.0.0                             |
# +======================================================================+
#
# $Header: mod_wl_ohs_conf_FMW.tmp 120.7.12020000.6 2014/05/09 11:03:18 mmanku ship $
#
# This template is used to seed the initial mod_wl_ohs.conf. After that, AutoConfig does not manage mod_wl_ohs.conf changes.
# It is advisable to perform OHS configuration changes through EM console.
# The default EM console URL is  http://erpdev02.sunresorts.local:7003/em
#
####################################################################
#
# mod_wl_ohs.so - The plug-ins allow requests to be proxied from an
# Apache HTTP Server, Oracle HTTP Server, or Microsoft Internet Information Server (IIS)
# to WebLogic Server. In this way, plug-ins enable the HTTP server to communicate
# with applications deployed on the WebLogic Server.
# For further information refer http://download.oracle.com/docs/cd/E14571_01/web.1111/e16435/overview.htm#BABGIJBI
#
#
# WebLogicCluster - List of member server and port in server:port,server1:port1 format
# For further information refer Configure the Apache HTTP Server Plug-In here:
# http://download.oracle.com/docs/cd/E14571_01/web.1111/e16435/apache.htm#CDEHDGJG
#
#
####################################################################
LoadModule weblogic_module   "${ORACLE_HOME}/ohs/modules/mod_wl_ohs.so"
<IfModule mod_weblogic.c>
        DynamicServerList OFF
        <Location /OA_HTML>
                SetHandler weblogic-handler
                WebLogicCluster ERPPREP.sunresort.local:7205
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /forms>
                SetHandler weblogic-handler
                WLCookieName JsessionIDForms
                WebLogicCluster ERPPREP.sunresort.local:7405
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /webservices>
                SetHandler weblogic-handler
                WLCookieName JsessionIDOAFM
                WebLogicCluster ERPPREP.sunresort.local:7605
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /formsclient>
                SetHandler weblogic-handler
                WLCookieName JsessionIDFORMS-C4WS
                WebLogicCluster ERPPREP.sunresort.local:7805
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /ekanban-UI-context-root>
                SetHandler weblogic-handler
                WLCookieName JsessionIDEkanban
                WebLogicCluster ERPPREP.sunresort.local:6805
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /accessgate>
                SetHandler weblogic-handler
                WebLogicCluster ERPPREP.sunresort.local:6805
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
        <Location /YMS-UI-context-root>
                SetHandler weblogic-handler
                WLCookieName JsessionIDYMS
                WebLogicCluster ERPPREP.sunresort.local:6805
                WLTempDir ${ORACLE_INSTANCE}/tmp
        </Location>
</IfModule>
